aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'fifo-cronolog.initd')
-rw-r--r--fifo-cronolog.initd18
1 files changed, 18 insertions, 0 deletions
diff --git a/fifo-cronolog.initd b/fifo-cronolog.initd
new file mode 100644
index 0000000..e04b272
--- /dev/null
+++ b/fifo-cronolog.initd
@@ -0,0 +1,18 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+start() {
+ ebegin "Starting fifo-cronolog"
+ start-stop-daemon --start --exec /usr/sbin/fifo-cronolog \
+ --pidfile "${PIDFILE}" -- "${PIDFILE}" "${FIFO}" "${LOGS}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping fifo-cronolog"
+ start-stop-daemon --stop --exec /usr/sbin/fifo-cronolog \
+ --pidfile "${PIDFILE}"
+ eend $?
+}